Raritan PX2/PX3 JSON-RPC API

PowerLogicConfig.idl
1 /* SPDX-License-Identifier: BSD-3-Clause */
2 /*
3 * Copyright 2012 Raritan Inc. All rights reserved.
4 */
5
6 #ifndef __POWERLOGIC_CONFIG_IDL__
7 #define __POWERLOGIC_CONFIG_IDL__
8
9 #include <UserEvent.idl>
10
11 module powerlogic {
12
13 /** Configuration Interface */
14 interface Config_1_0_1 {
15
16 constant int NO_ERROR = 0; ///< No error
17 constant int ERR_INVALID_PARAMS = 1; ///< Invalid parameters
18
19 /** PowerLogic port settings */
20 structure Settings {
21 string name; ///< PowerLogic port name
22 byte slaveAddr; ///< Modbus address of slave device
23 int baud; ///< Modbus slave speed
24 byte parity; ///< Modbus slave communication parity bit (N/E/O)
25 };
26
27 /** Event: Port settings have been changed */
28 valueobject SettingsChangedEvent extends event.UserEvent {
29 Settings oldSettings; ///< Settings before change
30 Settings newSettings; ///< Settings after change
31 };
32
33 /**
34 * Retrieve the PowerLogic port settings.
35 *
36 * @return PowerLogic port settings
37 */
38 Settings getSettings();
39
40 /**
41 * Change the PowerLogic port settings.
42 *
43 * @param settings New PowerLogic port settings
44 *
45 * @return 0 if OK
46 * @return ERR_INVALID_PARAMS if any parameters are invalid
47 */
48 int setSettings(in Settings settings);
49 };
50 }
51
52 #endif /* !__POWERLOGIC_CONFIG_IDL__ */
53
powerlogic::Config_1_0_1::Settings::baud
int baud
Modbus slave speed.
Definition: PowerLogicConfig.idl:23
powerlogic::Config_1_0_1::newSettings
Settings newSettings
Settings after change.
Definition: PowerLogicConfig.idl:30
powerlogic::Config_1_0_1
Configuration Interface.
Definition: PowerLogicConfig.idl:14
powerlogic::Config_1_0_1::Settings::parity
byte parity
Modbus slave communication parity bit (N/E/O)
Definition: PowerLogicConfig.idl:24
powerlogic::Config_1_0_1::Settings
PowerLogic port settings.
Definition: PowerLogicConfig.idl:20
powerlogic::Config_1_0_1::Settings::name
string name
PowerLogic port name.
Definition: PowerLogicConfig.idl:21
powerlogic::Config_1_0_1::Settings::slaveAddr
byte slaveAddr
Modbus address of slave device.
Definition: PowerLogicConfig.idl:22
powerlogic
Definition: PowerLogicConfig.idl:11